Subject: [bug#55436] [PATCH 0/3] Update public-inbox to 1.8.0

From: Kyle Meyer <[email-masked]>
Date: Sun, 15 May 2022 22:10:43 -0400

Thiago Jung Bauermann via Guix-patches via writes:

> Hello,
>
> These patches fix a few issues with the current public-inbox package, add a
> new package which is needed by version 1.8.0, and finally updates
> public-inbox.

Thanks for working on this.

> [...]
> - The tests are disabled because more changes are needed to enable them.
>   I have them working in a local branch, but there's one patch to the
>   public-inbox testsuite which I still need to cleanup and post upstream.
>   If anyone is curious about it, I pushed the branch ‘public-inbox-updates’
>   to my GitLab repo².

Fwiw I applied your patches and tested it a bit with my local inboxes.
I didn't spot any issues.

--8<---------------cut here---------------start------------->8---

[guix env]% realpath $(which lei)
/gnu/store/564p55ajr8wlbml1rafs4pggjzpvmqaf-public-inbox-1.8.0/bin/lei

[guix env]% lei daemon-pid
199095

[guix env]% lei q -f ldjson -O guix-patches nq:lei d:30.days.ago.. | jq '.s' | sort | uniq
"[bug#54997] [PATCH 04/12] Add (guix least-authority)."
"[bug#55436] [PATCH 0/3] Update public-inbox to 1.8.0"
"[bug#55436] [PATCH 3/3] gnu: public-inbox: Update to version 1.8.0"

[guix env]% lei daemon-kill
[guix env]% lei daemon-pid
199200

[guix env]% lei q -O https://lore.kernel.org/git -o mboxcl2:/tmp/t.mbox nq:pack d:20.days.ago..
# /gnu/store/i11i4xrx3gibdm012bqqhgrjs69qyia3-curl-7.79.1/bin/curl -Sf -s -d '' https://lore.kernel.org/git/?x=m&q=nq%3Apack+dt%3A20220426015402..
# https://lore.kernel.org/git/ 57/57
# 57 written to /tmp/t.mbox (57 matches)

[guix env]% public-inbox-httpd &
[1] 199585
# browsed around http://127.0.0.1:8080/guix-patches/ a bit
--8<---------------cut here---------------end--------------->8---